import java.time.LocalDate;

/**
 * La classe Operazione implementa la rappresentazione di un'operazione
 * (incasso o spesa), ovvero di indicarne importo, motivazione e data.
 */
public class Operazione {
    // Importo dell'operazione
    private double importo;
    // Motivazione dell'operazione
    private String motivazione;
    // Data dell'operazione
    private LocalDate data;

    public Operazione (double importo, String motivazione, LocalDate data) {
        this.importo = importo;
        this.motivazione = motivazione;
        this.data = data;
    }

    // Metodi per get/set di importo
    public double getImporto() {
        return importo;
    }

    public void setImporto(double importo) {
        this.importo = importo;
    }

    // Metodi per get/set di motivazione
    public String getMotivazione() {
        return motivazione;
    }

    public void setMotivazione(String motivazione) {
        this.motivazione = motivazione;
    }

    // Metodi per get/set di data
    public LocalDate getData() {
        return data;
    }

    public void setData(LocalDate data) {
        this.data = data;
    }
}
